/*******************************************************************
 * Xatm -- OCF, CID, TrueType scalable font support for X 
 *  By:  ͵ <y5t0964@students.chiba-u.ac.jp>
 */

/* $Id: metric.h,v 1.6 1999/03/26 00:48:56 elca Exp $ */

#ifndef _METRIC_H
#define _METRIC_H

inline int d_to_i(double d);
inline double fmin(double a, double b);
inline double fmin4(double a, double b, double c, double d);
inline double fmax(double a, double b);
inline double fmax4(double a, double b, double c, double d);
inline double computeWidth(double matrix[4]);
inline double computeHeight(double matrix[4]);
inline double computeChWidth(double matrix[4]);
inline double computeChHeight(double matrix[4]);
inline double computeXdelta(double matrix[4]);
inline double computeYdelta(double matrix[4]);

#endif
